View Issue Details

IDProjectCategoryView StatusLast Update
0000719Subversion for OS/2 & eCSBugpublic2020-09-06 07:16
ReporterLewisRAssigned Topsmedley 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.14.x 
Target Version1.14.xFixed in Version 
Summary0000719: svn cleanup cannot unlock read-only metadata files
DescriptionRunning svn cleanup after a network disconnect event returns the following:

svn: E720005: Can't remove file 'J:/devel/arcaos/.svn/pristine/be/beab096c18d891c92af677bb1a6fa1007f59de5f.svn-base': SYS0005: Access is denied.

Looking further, the file in question is flagged RO.
TagsNo tags attached.

Activities

psmedley

2020-09-05 18:14

administrator   ~0003535

Easy enough to explain, apr uses DosDelete to remove files.

from edm:
Read-only files cannot be deleted by DosDelete. To delete a read-only file, you must first issue DosSetFileInfo to change the file's read-only attribute to zero, then delete the file.
Will look at fixing apr to remove read-only files

psmedley

2020-09-05 18:37

administrator   ~0003536

rebuilding apr/subversion to use the unix code for apr_file_remove

psmedley

2020-09-06 07:15

administrator   ~0003537

http://smedley.id.au/tmp/subversion-1.14.0-os2-20200905.zip should resolve this

psmedley

2020-09-06 07:16

administrator   ~0003538

Should be fixed in 0905 build

Issue History

Date Modified Username Field Change
2020-09-01 05:12 LewisR New Issue
2020-09-05 18:14 psmedley Note Added: 0003535
2020-09-05 18:37 psmedley Note Added: 0003536
2020-09-06 07:15 psmedley Note Added: 0003537
2020-09-06 07:16 psmedley Assigned To => psmedley
2020-09-06 07:16 psmedley Status new => feedback
2020-09-06 07:16 psmedley Status feedback => resolved
2020-09-06 07:16 psmedley Resolution open => fixed
2020-09-06 07:16 psmedley Note Added: 0003538